Package com.usatiuk.objects.iterators

# Record Class DataWrapper<V>

java.lang.Object
java.lang.Record
com.usatiuk.objects.iterators.DataWrapper<V>

All Implemented Interfaces:
  `Data<V>`, `MaybeTombstone<V>`

public record DataWrapper<V>(V value) extends Record implements Data<V>

## Constructor Summary

Constructors
Constructor
Description
`DataWrapper(V value)`
Creates an instance of a `DataWrapper` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.
`V`
`value()`
Returns the value of the `value` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataWrapper

public DataWrapper(V value)
Creates an instance of a `DataWrapper` record class.

Parameters:
  `value` - the value for the `value` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### value

public V value()
Returns the value of the `value` record component.

Specified by:
  `value` in interface `Data<V>`
Returns:
  the value of the `value` record component